﻿.table-of-contents {
  background: #eee;
  font-size: 0.8em;
  padding: 1em 2em;
  margin: 0 0 0.5em 0.5em;
  border-radius: 10px;
}
.table-of-contents ul {
  padding: 0;
}
.table-of-contents ul ul {
  padding-left: 1em;
  padding-top: 8px;
}
.table-of-contents li {
  margin: 0 0 0.25em 0;
}
.table-of-contents a {
  text-decoration: none;
}
.table-of-contents a:hover,
.table-of-contents a:active {
  text-decoration: underline;
}

h1:target {
  animation: highlight 1s ease;
}

h2:target {
  animation: highlight 1s ease;
}

h3:target {
  animation: highlight 1s ease;
}

@keyframes highlight {
  from { background: yellow; }
  to { background: white; }
}